org.gradle.api.tasks.compile

## Class GroovyForkOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.api.tasks.compile.BaseForkOptions
    - - org.gradle.api.tasks.compile.GroovyForkOptions

- All Implemented Interfaces:
    Serializable

      public class GroovyForkOptions
      extends BaseForkOptions

  Fork options for Groovy compilation. Only take effect if `GroovyCompileOptions.fork` is `true`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyForkOptions()`

  - ### Method Summary

    - ### Methods inherited from class org.gradle.api.tasks.compile.BaseForkOptions

      `excludeFromAntProperties, getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize`

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, getAntPropertyName, getAntPropertyValue, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyForkOptions

          public GroovyForkOptions()